import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { SplineType } from "./SplineType";
import { SeriesView } from "./SeriesView";
import { CategoryFrame } from "./CategoryFrame";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategorySeriesView } from "./CategorySeriesView";
import { Point, IList$1, Type } from "igniteui-react-core/ES5/type";
import { CollisionAvoider } from "./CollisionAvoider";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
/**
 * @hidden
 */
export declare abstract class SplineSeriesBase extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    qb: SplineSeriesBaseView;
    protected get_ck(): boolean;
    protected qa: number[];
    qh(a: CategoryFrame, b: Rect, c: Rect, d: CategoryAxisBase, e: NumericAxisBase, f: CategorySeriesView): void;
    qd(a: CategoryFrame, b: number[], c: CollisionAvoider, d: number, e: number, f: CategorySeriesView, g: number): boolean;
    aj(a: CategoryAxisBase, b: List$1<number[]>, c: number, d: number, e: Point, f: boolean): number[][];
    oe(a: CategoryFrame, b: CategorySeriesView): void;
    private qe;
    ec(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    qf(a: CategoryAxisBase, b: Rect, c: Rect, d: Rect): number;
    qc: SplineType;
    protected qi(): void;
    protected is(a: any, b: string, c: any, d: any): void;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class SplineSeriesBaseView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected c6: SplineSeriesBase;
    constructor(a: SplineSeriesBase);
    protected ac(): void;
}
